PXMLBase Class Reference

`#include <pxml.h>`

Inheritance diagram for PXMLBase:

## Public Types

enum | { DEFAULT_MAX_ENTITY_LENGTH = 4096 }
enum | Options { NoOptions = 0x0000, Indent = 0x0001, NewLineAfterElement = 0x0002, NoIgnoreWhiteSpace = 0x0004, CloseExtended = 0x0008, WithNS = 0x0010, FragmentOnly = 0x0020, AllOptions = 0xffff }
enum | StandAloneType { UninitialisedStandAlone = -2, UnknownStandAlone = -1, NotStandAlone, IsStandAlone }
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...

## Public Member Functions

| PXMLBase (int opts=NoOptions)
void | SetOptions (int opts)
int | GetOptions () const
virtual PBoolean | IsNoIndentElement (const PString &) const
void | SetMaxEntityLength (unsigned len)
unsigned | GetMaxEntityLength () const
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes

int | m_options
unsigned | m_maxEntityLength

## Friends

__inline friend Options | operator| (Options o1, Options o2)
__inline friend Options | operator& (Options o1, Options o2)

## Additional Inherited Members

Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Member Enumeration Documentation

anonymous enum

Enumerator
DEFAULT_MAX_ENTITY_LENGTH |

enum PXMLBase::Options

Enumerator
NoOptions |
Indent |
NewLineAfterElement |
NoIgnoreWhiteSpace | ignored
CloseExtended | ignored
WithNS |
FragmentOnly | XML fragment, not complete document.
AllOptions |

enum PXMLBase::StandAloneType

Enumerator
UninitialisedStandAlone |
UnknownStandAlone |
NotStandAlone |
IsStandAlone |

## Constructor & Destructor Documentation

PXMLBase::PXMLBase | ( | int | opts = `NoOptions` | ) |

## Member Function Documentation

unsigned PXMLBase::GetMaxEntityLength | ( |  | ) | const

inline

References m_maxEntityLength.

int PXMLBase::GetOptions | ( |  | ) | const

inline

References m_options.

virtual PBoolean PXMLBase::IsNoIndentElement | ( | const PString & |  | ) | const

inline virtual

Reimplemented in PXML.

void PXMLBase::SetMaxEntityLength | ( | unsigned | len | ) |

inline

References m_maxEntityLength.

void PXMLBase::SetOptions | ( | int | opts | ) |

inline

References m_options.

## Friends And Related Function Documentation

__inline friend Options operator& | ( | Options | o1,
|  | Options | o2
| ) |  |

friend

__inline friend Options operator| | ( | Options | o1,
|  | Options | o2
| ) |  |

friend

## Member Data Documentation

unsigned PXMLBase::m_maxEntityLength

protected

Referenced by GetMaxEntityLength(), and SetMaxEntityLength().

int PXMLBase::m_options

protected

Referenced by GetOptions(), and SetOptions().

The documentation for this class was generated from the following file:

- pxml.h